%define base_name drakx-installer-images
%define name %{base_name}-tmb
%define version 1.50
%define release %mkrel 3
%define theme	Free

# version of kernel-tmb-desktop(586) we build against
%define kernver 2.6.37-1mdv

%ifarch %ix86
%define install_kernel kernel-tmb-desktop586-%kernver
%else
%define install_kernel kernel-tmb-desktop-%kernver
%endif

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

# disable empty debug rpms...
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}

Summary: DrakX installer images using kernel-tmb series
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
Patch0:  %{base_name}-dmraid45.patch
Patch1:  %{base_name}-tmb-binaries.patch
Patch2:	 %{base_name}-use-mtools-for-images.patch
License: GPL
Group:   Development/Other
Url:     http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux >= 3.72
%endif
BuildRequires: %install_kernel kernel-firmware
BuildRequires: drakx-installer-binaries-tmb >= 1.46-3
BuildRequires: ldetect-lst >= 0.1.199
BuildRequires: mandriva-theme-%{theme}
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mknod-m600
BuildRequires: mtools
Buildrequires: busybox-static
Buildrequires: ka-deploy-source-node

%description
images needed to build Mandriva installer (DrakX) using kernel-tmb series

%prep
%setup -q -n %{base_name}-%{version}
%patch0 -p1 -b .dmraid45
%patch1 -p1 -b .binaries
%patch2 -p1 -b .mtools

%build
THEME=Mandriva-%{theme} make -C images KERNELS="%{install_kernel}"

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Thu Jan 06 2011 Thomas Backlund <tmb@mandriva.org> 1.50-3mdv2011.0
+ Revision: 629007
- build with kernel-tmb-2.6.37-1mdv

* Wed Dec 01 2010 Thomas Backlund <tmb@mandriva.org> 1.50-2mdv2011.0
+ Revision: 604257
- build against kernel-tmb-2.6.37-0.rc4.1mdv

* Wed Nov 24 2010 Thomas Backlund <tmb@mandriva.org> 1.50-1mdv2011.0
+ Revision: 600369
- build against kernel-tmb-2.6.36.1-2mdv
- fix building all.img and hd_grub.img without root privilegies (mdv #61473)
- sync with main drakx-installer-images-1.50

* Wed Aug 11 2010 Thomas Backlund <tmb@mandriva.org> 1.49-5mdv2011.0
+ Revision: 568969
- build with kernel-tmb-2.6.35.1-1mdv

* Sun Jun 27 2010 Thomas Backlund <tmb@mandriva.org> 1.49-4mdv2010.1
+ Revision: 549216
- rebuild with kernel-tmb-2.6.34-10mdv

* Mon May 31 2010 Thomas Backlund <tmb@mandriva.org> 1.49-3mdv2010.1
+ Revision: 546749
- build against fixed drakx-installer-binaries-tmb-1.46-3mdv
- build against kernel-tmb-2.6.34-8mdv
- build against kernel-tmb-2.6.34-7mdv

* Thu May 27 2010 Thomas Backlund <tmb@mandriva.org> 1.49-1mdv2010.1
+ Revision: 546444
- build against kernel-tmb-2.6.34-6mdv
- build against drakx-installer-binaries-tmb-1.46-2mdv
- resync with main drakx-installer-images-1.49

* Tue May 18 2010 Thomas Backlund <tmb@mandriva.org> 1.48-3mdv2010.1
+ Revision: 545083
- build against drakx-installer-binaries-tmb-1.46
- build against kernel-tmb-2.6.34-1mdv

* Sun May 09 2010 Thomas Backlund <tmb@mandriva.org> 1.48-2mdv2010.1
+ Revision: 544258
- build against kernel-tmb-2.6.34-0.rc6.6.3mdv

* Sat Apr 17 2010 Thomas Backlund <tmb@mandriva.org> 1.48-1mdv2010.1
+ Revision: 535778
- sync with main drakx-installer-images-1.48
- drop patch2 (merged)
- rediff patch0 and patch1 to apply cleanly
- build against kernel-tmb-2.6.33.2-3mdv
- build against drakx-installer-binaries-tmb-1.45-1mdv

* Thu Feb 25 2010 Thomas Backlund <tmb@mandriva.org> 1.47-7mdv2010.1
+ Revision: 510953
- build against kernel-tmb-2.6.33-1mdv

* Sat Feb 13 2010 Thomas Backlund <tmb@mandriva.org> 1.47-6mdv2010.1
+ Revision: 505407
- build against kernel-tmb-2.6.33-0.rc8.1mdv

* Sun Feb 07 2010 Thomas Backlund <tmb@mandriva.org> 1.47-5mdv2010.1
+ Revision: 501606
- build against kernel-tmb-2.6.33-0.rc7.1mdv

* Sat Feb 06 2010 Thomas Backlund <tmb@mandriva.org> 1.47-4mdv2010.1
+ Revision: 501352
- add missing dir, new path to mke2fs.static (aginies)
- build against kernel-tmb-2.6.33-0.rc6.6.7mdv

* Sat Jan 30 2010 Thomas Backlund <tmb@mandriva.org> 1.47-3mdv2010.1
+ Revision: 498457
- build against kernel-tmb-2.6.33-0.rc6.1mdv

* Sat Jan 23 2010 Thomas Backlund <tmb@mandriva.org> 1.47-2mdv2010.1
+ Revision: 495249
- build against kernel-tmb-2.6.33-0.rc5.1mdv

* Sun Jan 17 2010 Thomas Backlund <tmb@mandriva.org> 1.47-1mdv2010.1
+ Revision: 492675
- build against kernel-tmb-2.6.33-0.rc4.4.5mdv
- sync with main drakx-installer-images-1.47

* Sun Oct 25 2009 Frederic Crozat <fcrozat@mandriva.com> 1.46-3mdv2010.0
+ Revision: 459292
- Force rebuild

  + Thomas Backlund <tmb@mandriva.org>
    - build against kernel-tmb-2.6.31.5-1mdv

* Thu Oct 15 2009 Thomas Backlund <tmb@mandriva.org> 1.46-1mdv2010.0
+ Revision: 457564
- sync with main drakx-installer-images-1.46
- rebuild against drakx-installer-binaries-tmb-1.42-3mdv
- rebuild against kernel-tmb 2.6.31.4-1mdv
- drop br on plymouth-theme-mdv again
- sync with main drakx-installer-images-1.44
- build against kernel-tmb-2.6.31.3-1mdv
- add plymouth-theme-mdv as buildrequire
- drop nosplash patch

* Wed Sep 30 2009 Thomas Backlund <tmb@mandriva.org> 1.43-3mdv2010.0
+ Revision: 451883
- rebuild against drakx-installer-binaries-tmb-1.42-2mdv because of
  renamed rescue and stage2 squashfs images

* Wed Sep 30 2009 Thomas Backlund <tmb@mandriva.org> 1.43-2mdv2010.0
+ Revision: 451126
- splashy is gone
- build against kernel-tmb-2.6.31.1-6mdv

* Fri Sep 25 2009 Thomas Backlund <tmb@mandriva.org> 1.43-1mdv2010.0
+ Revision: 448569
- build against kernel-tmb-2.6.31.1-1mdv
- drop BR on dkms-squashfs-lzma and dkms-lzma
- rediff tmb-binaries patch
- rediff dmraid45 patch
- sync with main drakx-installer-images-1.43

* Thu Sep 10 2009 Thomas Backlund <tmb@mandriva.org> 1.41-16mdv2010.0
+ Revision: 436674
- build against kernel-tmb-2.6.31-1mdv

* Tue Sep 08 2009 Thomas Backlund <tmb@mandriva.org> 1.41-15mdv2010.0
+ Revision: 434164
- build against kernel-tmb-2.6.31-0.rc9.1mdv
- update dmraid45 patch

* Fri Sep 04 2009 Thomas Backlund <tmb@mandriva.org> 1.41-14mdv2010.0
+ Revision: 431576
- build against kernel-tmb-2.6.31-0.rc8.5mdv
- use buildrequires dkms-lzma and dkms-squashfs-lzma instead
  as there are no prebuilt modules for kernel-tmb
- build against kernel-tmb-2.6.31-0.rc8.4mdv
- add kmod(squashfs-lzma) and kmod(sqlzma) to buildrequires

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 1.41-12mdv2010.0
+ Revision: 422326
- fix path to drakx-installer-binaries-tmb
- build against drakx-installer-binaries-tmb

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 1.41-10mdv2010.0
+ Revision: 422177
- build against kernel-tmb-2.6.31-0.rc8.3mdv

* Fri Aug 14 2009 Thomas Backlund <tmb@mandriva.org> 1.41-9mdv2010.0
+ Revision: 416324
- build against kernel-tmb-2.6.31-0.rc6.1mdv

* Sat Aug 08 2009 Thomas Backlund <tmb@mandriva.org> 1.41-8mdv2010.0
+ Revision: 411556
- build against kernel-tmb-2.6.31-0.rc5.3.4mdv

* Tue Jul 28 2009 Thomas Backlund <tmb@mandriva.org> 1.41-7mdv2010.0
+ Revision: 401653
- build against kernel-tmb-2.6.31-0.rc4.3mdv

* Tue Jul 14 2009 Thomas Backlund <tmb@mandriva.org> 1.41-6mdv2010.0
+ Revision: 396008
- build against kernel-tmb-2.6.31-0.rc3.1mdv

* Sat Jul 04 2009 Thomas Backlund <tmb@mandriva.org> 1.41-5mdv2010.0
+ Revision: 392267
- build against kernel-tmb-2.6.29.6-1mdv

* Fri Jun 26 2009 Thomas Backlund <tmb@mandriva.org> 1.41-4mdv2010.0
+ Revision: 389517
- build against kernel-tmb-2.6.29.5-3mdv

* Fri May 01 2009 Thomas Backlund <tmb@mandriva.org> 1.41-3mdv2010.0
+ Revision: 369982
- build against kernel-tmb-2.6.29.2-3mdv
- add kernel-firmware to buildrequires
- drop mkrel from buildrequires as it breaks build
- adapt patch0 for the updated dm-raid45
- rebuild against kernel-tmb-2.6.29.1-4mdv for dm-raid45 support
- rebuild with latest d-i-binaries that fixes the firmware loading

* Sun Apr 19 2009 Thomas Backlund <tmb@mandriva.org> 1.41-1mdv2009.1
+ Revision: 368026
- sync with main drakx-installer-images-1.41
- build against kernel-tmb-2.6.29.1-3mdv
- drop hid modules from patch0 as they now are upstream

* Tue Mar 31 2009 Thomas Backlund <tmb@mandriva.org> 1.36-4mdv2009.1
+ Revision: 362966
- add ff-memless too, as it's needed by hid-logitech and several others too
- build against kernel-tmb-2.6.29-2mdv
- add all hid-* to boot.iso so all keyboards/mices will work

* Sat Mar 28 2009 Thomas Backlund <tmb@mandriva.org> 1.36-3mdv2009.1
+ Revision: 362009
- build against kernel-tmb-2.6.29-1mdv

* Fri Mar 13 2009 Thomas Backlund <tmb@mandriva.org> 1.36-2mdv2009.1
+ Revision: 354733
- build against kernel-tmb-2.6.29-0.rc8.1mdv

* Wed Mar 11 2009 Thomas Backlund <tmb@mandriva.org> 1.36-1mdv2009.1
+ Revision: 353595
- sync with main 1.36
- build against kernel-tmb-2.6.29-0.rc7.3.3mdv
- pass KERNELS variable from spec instead of patching Makefile

* Wed Mar 04 2009 Thomas Backlund <tmb@mandriva.org> 1.35-1mdv2009.1
+ Revision: 348444
- sync with main 1.35
- build against 2.6.29-0.rc7.1mdv

* Tue Feb 17 2009 Thomas Backlund <tmb@mandriva.org> 1.34-1mdv2009.1
+ Revision: 341577
- sync with main 1.34
- rebuild against kernel-tmb-2.6.29-0.rc5.2mdv

* Sun Dec 21 2008 Thomas Backlund <tmb@mandriva.org> 1.31-7mdv2009.1
+ Revision: 316949
- build against kernel-tmb-2.6.27.10-1mdv
- build against kernel-tmb-2.6.27.6-1mdv

* Sun Oct 12 2008 Thomas Backlund <tmb@mandriva.org> 1.31-3mdv2009.1
+ Revision: 292609
- build against kernel-tmb-2.6.27-2mdv
- change dm-raid4-5 to dm-raid45, as the module have been renamed

* Sat Oct 11 2008 Thomas Backlund <tmb@mandriva.org> 1.31-2mdv2009.1
+ Revision: 292104
- build against kernel-tmb-2.6.27-1mdv

* Sun Sep 28 2008 Thomas Backlund <tmb@mandriva.org> 1.31-1mdv2009.0
+ Revision: 289104
- sync with main 1.31
- rebuild against drakx-installer-binaries-1.32-1mdv
- rebuild against kernel-tmb-2.6.27-0.rc7.5.2mdv

* Sun Sep 14 2008 Thomas Backlund <tmb@mandriva.org> 1.30-3mdv2009.0
+ Revision: 284816
- build against kernel-tmb 2.6.27-0.rc6.2.1mdv2009.0

* Thu Aug 28 2008 Thomas Backlund <tmb@mandriva.org> 1.30-2mdv2009.0
+ Revision: 277030
- build against drakx-installer-binaries-1.31
- build against kernel-tmb-2.6.26.3-1mdv

* Sat Aug 02 2008 Thomas Backlund <tmb@mandriva.org> 1.30-1mdv2009.0
+ Revision: 260979
- build against kernel-tmb-2.6.26.1-1mdv2009.0
- update patch0: add dmraid45 and multipath support
- build against drakx-installer-binaries-1.30-1mdv
- sync with main 1.30

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.28-4mdv2009.0
+ Revision: 244543
- rebuild

  + Thomas Backlund <tmb@mandriva.org>
    - build against kernel-tmb-2.6.24.4-1mdv
    - build against drakx-intaller-binaries-1.26-1mdv

* Fri Feb 29 2008 Thomas Backlund <tmb@mandriva.org> 1.28-1mdv2008.1
+ Revision: 176841
- sync with main 1.28-4mdv
- build against kernel-tmb-2.6.24.3-1mdv

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Thomas Backlund <tmb@mandriva.org> 1.23-3mdv2008.0
+ Revision: 93807
- rebuild against drakx-installer-binaries-1.17
- rebuild against kernel-tmb-2.6.23-0.rc8.1mdv
- rebuild against kernel-tmb-2.6.23-0.rc7.1mdv

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.23-1mdv2008.0
+ Revision: 89366
- sync with main 1.23

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.22-1mdv2008.0
+ Revision: 89043
- sync with main 1.22
- rebuild against kernel-tmb-2.6.23-0.rc6.1mdv

* Thu Sep 06 2007 Thomas Backlund <tmb@mandriva.org> 1.20-1mdv2008.0
+ Revision: 81148
- sync with main 1.20
- build against kernel-tmb-2.6.22.6-1mdv


* Fri Mar 30 2007 Thomas Backlund <tmb@mandriva.org> 1.8-4mdv2007.1
+ Revision: 149777
- rebuild against latest kernel-tmb (2.6.20.4-3mdv)

* Wed Mar 28 2007 Thomas Backlund <tmb@mandriva.org> 1.8-2mdv2007.1
+ Revision: 149256
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.8-1mdv2007.1
+ Revision: 148572
- sync with main 1.8

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.7-1mdv2007.1
+ Revision: 148515
- build against drakx-installer-binaries 1.7
- sync with main 1.7
- use drakx-installer-image tarball directly
- use the UP kernel-tmb-desktop(586)(-latest) as installer
  kernel, to make it work on more systems
- update patch0: to only check for 2.6.21 series kernels for now
- dont build empty debug rpms
- rebuild against latest kernel-linus
- rebuild against latest drakx-installer-images
- use drakx-installer-images-1.6-2mdv as base
- use same version as main to make it simplier to keep in sync
- use kernel-tmb-desktop(586)-smp(-latest) as installer kernel
- add patch0: modify scripts to support kernel-tmb
- Created package structure for drakx-installer-images-tmb.

